Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# iiop_endpoints.cpp File Reference

`#include "iiop_endpoints.h"`
`#include "iiop_endpoints.i"`

Include dependency graph for iiop_endpoints.cpp:

## Defines
#define | __TAO_UNBOUNDED_SEQUENCE_TAO_IIOPENDPOINTSEQUENCE_CS_
#define | _TAO_IIOPENDPOINTSEQUENCE_CS_
## Functions
CORBA::TypeCode | _tc_TAO_tc_TAO_IIOP_Endpoint_Info (CORBA::tk_struct, sizeof (_oc_TAO_IIOP_Endpoint_Info), (char *) &_oc_TAO_IIOP_Endpoint_Info, 0, sizeof (TAO_IIOP_Endpoint_Info))
CORBA::TypeCode | _tc_TAO_tc_TAO_IIOPEndpointSequence (CORBA::tk_alias, sizeof (_oc_TAO_IIOPEndpointSequence), (char *) &_oc_TAO_IIOPEndpointSequence, 0, sizeof (TAO_IIOPEndpointSequence))
CORBA::Boolean | operator<< ( TAO_OutputCDR &strm, const TAO_IIOPEndpointSequence &_tao_sequence )
CORBA::Boolean | operator>> ( TAO_InputCDR &strm, TAO_IIOPEndpointSequence &_tao_sequence )
## Variables
const CORBA::Long | _oc_TAO_IIOP_Endpoint_Info []
CORBA::TypeCode_ptr | _tc_TAO_IIOP_Endpoint_Info = &_tc_TAO_tc_TAO_IIOP_Endpoint_Info
const CORBA::Long | _oc_TAO_IIOPEndpointSequence []
CORBA::TypeCode_ptr | _tc_TAO_IIOPEndpointSequence = &_tc_TAO_tc_TAO_IIOPEndpointSequence

## Define Documentation

#define _TAO_IIOPENDPOINTSEQUENCE_CS_

#define __TAO_UNBOUNDED_SEQUENCE_TAO_IIOPENDPOINTSEQUENCE_CS_

## Function Documentation

CORBA::TypeCode _tc_TAO_tc_TAO_IIOPEndpointSequence ( | CORBA::tk_alias,
| sizeof(_oc_TAO_IIOPEndpointSequence),
| (char *)& _oc_TAO_IIOPEndpointSequence,
| 0,
| sizeof(TAO_IIOPEndpointSequence) )`[static]`

CORBA::TypeCode _tc_TAO_tc_TAO_IIOP_Endpoint_Info ( | CORBA::tk_struct,
| sizeof(_oc_TAO_IIOP_Endpoint_Info),
| (char *)& _oc_TAO_IIOP_Endpoint_Info,
| 0,
| sizeof(TAO_IIOP_Endpoint_Info) )`[static]`

CORBA::Boolean operator<< ( | TAO_OutputCDR & strm,
| const TAO_IIOPEndpointSequence & _tao_sequence )

CORBA::Boolean operator>> ( | TAO_InputCDR & strm,
| TAO_IIOPEndpointSequence & _tao_sequence )

## Variable Documentation

const CORBA::Long _oc_TAO_IIOPEndpointSequence[]`[static]`

| Initializer:
    {
      TAO_ENCAP_BYTE_ORDER,
      33, ACE_NTOHL (0x49444c3a), ACE_NTOHL (0x54414f5f), ACE_NTOHL (0x49494f50), ACE_NTOHL (0x456e6470), ACE_NTOHL (0x6f696e74), ACE_NTOHL (0x53657175), ACE_NTOHL (0x656e6365), ACE_NTOHL (0x3a312e30), ACE_NTOHL (0x0),
      25, ACE_NTOHL (0x54414f5f), ACE_NTOHL (0x49494f50), ACE_NTOHL (0x456e6470), ACE_NTOHL (0x6f696e74), ACE_NTOHL (0x53657175), ACE_NTOHL (0x656e6365), ACE_NTOHL (0x0),
      CORBA::tk_sequence,
      144,
        TAO_ENCAP_BYTE_ORDER,
        CORBA::tk_struct,
        128,
          TAO_ENCAP_BYTE_ORDER,
          31, ACE_NTOHL (0x49444c3a), ACE_NTOHL (0x54414f5f), ACE_NTOHL (0x49494f50), ACE_NTOHL (0x5f456e64), ACE_NTOHL (0x706f696e), ACE_NTOHL (0x745f496e), ACE_NTOHL (0x666f3a31), ACE_NTOHL (0x2e300000),
          23, ACE_NTOHL (0x54414f5f), ACE_NTOHL (0x49494f50), ACE_NTOHL (0x5f456e64), ACE_NTOHL (0x706f696e), ACE_NTOHL (0x745f496e), ACE_NTOHL (0x666f0000),
          3,
          5, ACE_NTOHL (0x686f7374), ACE_NTOHL (0x0),
          CORBA::tk_string,
          0U,
          5, ACE_NTOHL (0x706f7274), ACE_NTOHL (0x0),
          CORBA::tk_short,

          9, ACE_NTOHL (0x7072696f), ACE_NTOHL (0x72697479), ACE_NTOHL (0x0),
          CORBA::tk_short,

        0U,

    }

const CORBA::Long _oc_TAO_IIOP_Endpoint_Info[]`[static]`

| Initializer:
    {
      TAO_ENCAP_BYTE_ORDER,
      31, ACE_NTOHL (0x49444c3a), ACE_NTOHL (0x54414f5f), ACE_NTOHL (0x49494f50), ACE_NTOHL (0x5f456e64), ACE_NTOHL (0x706f696e), ACE_NTOHL (0x745f496e), ACE_NTOHL (0x666f3a31), ACE_NTOHL (0x2e300000),
      23, ACE_NTOHL (0x54414f5f), ACE_NTOHL (0x49494f50), ACE_NTOHL (0x5f456e64), ACE_NTOHL (0x706f696e), ACE_NTOHL (0x745f496e), ACE_NTOHL (0x666f0000),
      3,
      5, ACE_NTOHL (0x686f7374), ACE_NTOHL (0x0),
      CORBA::tk_string,
      0U,
      5, ACE_NTOHL (0x706f7274), ACE_NTOHL (0x0),
      CORBA::tk_short,

      9, ACE_NTOHL (0x7072696f), ACE_NTOHL (0x72697479), ACE_NTOHL (0x0),
      CORBA::tk_short,

    }

TAO_Export CORBA::TypeCode_ptr _tc_TAO_IIOPEndpointSequence = &_tc_TAO_tc_TAO_IIOPEndpointSequence

TAO_Export CORBA::TypeCode_ptr _tc_TAO_IIOP_Endpoint_Info = &_tc_TAO_tc_TAO_IIOP_Endpoint_Info